package tech.powerjob.work.service.impl;


import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import tech.powerjob.work.mapper.PortDrawFlashMapper;
import tech.powerjob.work.service.PortDrawFlashService;
import tech.powerjob.work.util.DateUtils;
import tech.powerjob.work.util.ReturnMsg;
import tech.powerjob.worker.core.processor.ProcessResult;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@Slf4j
@Service
public class PortDrawFlashServiceImpl implements PortDrawFlashService {

    @Resource
    PortDrawFlashMapper portDrawFlashMapper;

    @Override
    public ProcessResult flashData() {
        List<String> drawIds = portDrawFlashMapper.getAllNeedRemoveData();
        if (drawIds.isEmpty()){
            log.info(DateUtils.dateToString(new Date(), "yyyy-MM-dd HH:mm:SS") + "不需要移除港区陆域数据");
            return ReturnMsg.returnMsg(true,"无需删除");
        }else {
            log.info(DateUtils.dateToString(new Date(), "yyyy-MM-dd HH:mm:SS") + "移除的港区陆域数据为{}", drawIds);
            portDrawFlashMapper.removeAllByIds(drawIds);
            return ReturnMsg.returnMsg(true,"删除成功");
        }
    }
}
